Retrieve a Project's Release Setup Progress

GET /api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/releases/completion/

Return the project's release-setup progress for these steps:

  • tag: The project has an issue with a recorded first release.
  • repo: The organization has at least one repository.
  • commit: At least one of the project's 1,000 most recent releases (by release ID) has an associated commit.
  • deploy: At least one of the project's releases has a deploy.

Results are cached for one hour when a step is complete and one minute otherwise.

Path Parameters

organization_id_or_slug (string)
REQUIRED

The ID or slug of the organization the resource belongs to.

project_id_or_slug (string)
REQUIRED

The ID or slug of the project the resource belongs to. Project slugs are unique within each organization.

Scopes

<auth_token> requires one of the following scopes:
  • org:ci
  • project:admin
  • project:read
  • project:releases
  • project:write
Copied
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/releases/completion/ \
 -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied
.
Was this helpful?